/**
 *@hidden
 */
export declare function cloneArray(array: any, deep?: boolean): any[];
/**
 *@hidden
 */
export declare function cloneObject(object: any): any;
/**
 *@hidden
 */
export declare const enum KEYCODES {
    ENTER = 13,
    SPACE = 32,
    ESCAPE = 27,
    LEFT_ARROW = 37,
    UP_ARROW = 38,
    RIGHT_ARROW = 39,
    DOWN_ARROW = 40,
    F2 = 113,
}
/**
 *@hidden
 */
export declare const enum DisplayDensity {
    comfortable = "comfortable",
    cosy = "cosy",
    compact = "compact",
}
/**
 *@hidden
* Returns the actual size of the node content, using Range
* ```typescript
* let range = document.createRange();
* let column = this.grid.columnList.filter(c => c.field === 'ID')[0];
*
* let size = valToPxlsUsingRange(range, column.cells[0].nativeElement);
* ```
 */
export declare function valToPxlsUsingRange(range: Range, node: any): number;
/**
 *@hidden
* Returns the actual size of the node content, using Canvas
* ```typescript
* let ctx = document.createElement('canvas').getContext('2d');
* let column = this.grid.columnList.filter(c => c.field === 'ID')[0];
*
* let size = valToPxlsUsingCanvas(ctx, column.cells[0].nativeElement);
* ```
 */
export declare function valToPxlsUsingCanvas(canvas2dCtx: any, node: any): number;
/**
 *@hidden
 */
export declare function isIE(): boolean;
/**
 *@hidden
 */
export declare function isEdge(): boolean;
/**
 *@hidden
 */
export declare function isFirefox(): boolean;
