import { IGroupByRecord } from './groupby-record.interface';
import { ISortingExpression, SortingDirection } from './sorting-expression.interface';
export interface ISortingStrategy {
    sort: (data: any[], fieldName: string, dir: SortingDirection, ignoreCase: boolean) => any[];
}
export declare class DefaultSortingStrategy implements ISortingStrategy {
    private static _instance;
    protected constructor();
    static instance(): DefaultSortingStrategy;
    sort(data: any[], fieldName: string, dir: SortingDirection, ignoreCase: boolean): any[];
    compareValues(a: any, b: any): 1 | 0 | -1;
    protected compareObjects(obj1: object, obj2: object, key: string, reverse: number, ignoreCase: boolean): number;
    protected arraySort(data: any[], compareFn?: any): any[];
}
export declare class IgxSorting {
    sort(data: any[], expressions: ISortingExpression[]): any[];
    private groupedRecordsByExpression(data, index, expression);
    private sortDataRecursive<T>(data, expressions, expressionIndex?);
    protected groupDataRecursive<T>(data: T[], expressions: ISortingExpression[], level: number, parent: IGroupByRecord, metadata: IGroupByRecord[]): T[];
}
