import { ElementRef, Renderer2 } from '@angular/core';
export declare class IgxButtonDirective {
    private _el;
    private _renderer;
    /**
     *@hidden
     */
    private _type;
    /**
     *@hidden
     */
    private _cssClass;
    /**
     *@hidden
     */
    private _color;
    /**
     *@hidden
     */
    private _label;
    /**
     *@hidden
     */
    private _backgroundColor;
    constructor(_el: ElementRef, _renderer: Renderer2);
    /**
     * Sets/gets the `role` attribute.
     * ```typescript
     * this.button.role = 'navbutton';
     * ```
     * ```typescript
     * let buttonRole =  this.button.role;
     * ```
     * @memberof IgxButtonDirective
     */
    role: string;
    /**
     * Sets the type of the button.
     * ```html
     * <button  igxButton= "icon"></button>
     * ```
     * @memberof IgxButtonDirective
     */
    type: string;
    /**
     * Sets the button text color.
     * ```html
     * <button igxButton="gradient" igxButtonColor="blue"></button>
     * ```
     * @memberof IgxButtonDirective
     */
    color: string;
    /**
     * Sets the background color of the button.
     * ```html
     * <button igxButton="raised" igxButtonBackground="red"></button>
     * ```
     * @memberof IgxButtonDirective
     */
    background: string;
    /**
     * Sets the `aria-label` attribute.
     * ```html
     * <button igxButton= "flat" igxLabel="Label"></button>
     * ```
     * @memberof IgxButtonDirective
     */
    label: string;
    /**
     * Enables/disables the button.
     *  ```html
     * <button igxButton= "fab" [disabled]="true"></button>
     * ```
     * @memberof IgxButtonDirective
     */
    disabled: any;
}
/**
 * The IgxButtonModule provides the {@link IgxButtonDirective} inside your application.
 */
export declare class IgxButtonModule {
}
