import { ChangeDetectorRef, DoCheck, ElementRef, QueryList } from '@angular/core';
import { IgxCheckboxComponent } from '../checkbox/checkbox.component';
import { IgxSelectionAPIService } from '../core/selection';
import { IgxForOfDirective } from '../directives/for-of/for_of.directive';
import { IgxGridAPIService } from './api.service';
import { IgxGridCellComponent } from './cell.component';
import { IgxColumnComponent } from './column.component';
import { IgxGridComponent } from './grid.component';
export declare class IgxGridRowComponent implements DoCheck {
    gridAPI: IgxGridAPIService;
    private selection;
    element: ElementRef;
    cdr: ChangeDetectorRef;
    rowData: any;
    index: number;
    gridID: string;
    virtDirRow: IgxForOfDirective<any>;
    checkboxElement: IgxCheckboxComponent;
    cells: QueryList<IgxGridCellComponent>;
    readonly rowHeight: any;
    tabindex: number;
    role: string;
    readonly styleClasses: string;
    focused: boolean;
    readonly columns: IgxColumnComponent[];
    readonly pinnedColumns: IgxColumnComponent[];
    readonly unpinnedColumns: IgxColumnComponent[];
    /**
     * @hidden
    */
    readonly rowSelectable: boolean;
    /**
     * @hidden
    */
    readonly showRowCheckboxes: boolean;
    isSelected: boolean;
    readonly grid: IgxGridComponent;
    readonly rowID: any;
    readonly nativeElement: any;
    protected defaultCssClass: string;
    protected _rowSelection: boolean;
    protected isFocused: boolean;
    constructor(gridAPI: IgxGridAPIService, selection: IgxSelectionAPIService, element: ElementRef, cdr: ChangeDetectorRef);
    onFocus(event: any): void;
    onBlur(event: any): void;
    onCheckboxClick(event: any): void;
    update(value: any): void;
    delete(): void;
    readonly rowCheckboxAriaLabel: string;
    ngDoCheck(): void;
    notGroups(arr: any): any;
}
